LibreOffice: XGridControl Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference |

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XGridControl Interface Reference

specifies (some) functionality provided by a grid control (aka table control) More...

`import "XGridControl.idl";`

Inheritance diagram for XGridControl:

## Exported Interfaces
interface | XGrid
| allows access to the current column position within the grid control
interface | XGridFieldDataSupplier
| provides access to the data in the control, even in non-current rows

## Public Member Functions
void | addGridControlListener ([in] XGridControlListener listener)
| registers a listener which is to be notified about state changes in the grid control
void | removeGridControlListener ([in] XGridControlListener listener)
| revokes a previously registered grid control listener
Public Member Functions inherited from XGrid
short | getCurrentColumnPosition ()
| retrieves the current column position.
void | setCurrentColumnPosition ([in] short nPos)
| sets the current column position.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XGridFieldDataSupplier
sequence< boolean > | queryFieldDataType ([in] type xType)
| checks whether or not the content of the grid's columns can be retrieved in the requested format.
sequence< any > | queryFieldData ([in] long nRow, [in] type xType)
| retrieves the actual column data for the given row

## Detailed Description

specifies (some) functionality provided by a grid control (aka table control)

Since
  OOo 3.1

## Exported Interfaces

## ◆ XGrid

interface XGrid

allows access to the current column position within the grid control

## ◆ XGridFieldDataSupplier

interface XGridFieldDataSupplier

provides access to the data in the control, even in non-current rows

## Member Function Documentation

## ◆ addGridControlListener()

void addGridControlListener | ( | [in] XGridControlListener | listener | ) |

registers a listener which is to be notified about state changes in the grid control

## ◆ removeGridControlListener()

void removeGridControlListener | ( | [in] XGridControlListener | listener | ) |

revokes a previously registered grid control listener

The documentation for this interface was generated from the following file:

- com/sun/star/form/XGridControl.idl